/*
 * The author disclaims copyright to the included source code. It is placed in
 * the public domain. In place of a lengthy legal notice, here is a blessing:
 *
 * 	May you do good and not evil.
 * 	May you find forgiveness for yourself and forgive others.
 * 	May you share freely, never taking more than you give.
 *
 * $Id: consoledialog.h,v 1.3 2003/10/05 00:09:04 pyromage Exp $
 *
 */

#ifndef __CONSOLEDIALOG_H
#define __CONSOLEDIALOG_H

#include <qdialog.h>

class QString;
class QVBoxLayout;

namespace emotion
{
	class Console;

	/** dialog containing only a Console */
	class ConsoleDialog
		: public QDialog
	{
		Q_OBJECT
		public:
			ConsoleDialog(QWidget *parent=0, const char *name=0, WFlags f=0);
			virtual ~ConsoleDialog ();

			virtual void append (const QString &);

		private:
			QVBoxLayout *_layout;
			Console *_console;
	};
}

#endif
