#!/bin/bash
# 
# The author disclaims copyright to the included source code. It is placed in
# the public domain. In place of a lengthy legal notice, here is a blessing:
# 
# 	May you do good and not evil.
# 	May you find forgiveness for yourself and forgive others.
# 	May you share freely, never taking more than you give.
# 
# $Id: genicons.sh,v 1.3 2003/10/04 23:50:22 pyromage Exp $
# 

PREFIX=`cat config/PREFIX`
EMODIR=$PREFIX/share/emotion

echo \
"namespace emotionIcons {" > src/icons.h

for n in icons/*.png; do {
	base=`basename $n .png`
	echo \
		"static const char *$base = \"$EMODIR/$n\";"\
	>> src/icons.h
} done

echo "} /* namespace emotion */" >> src/icons.h
