/*
 * The author disclaims copyright to the included source code. It is placed in
 * the public domain. In place of a lengthy legal notice, here is a blessing:
 *
 * 	May you do good and not evil.
 * 	May you find forgiveness for yourself and forgive others.
 * 	May you share freely, never taking more than you give.
 *
 * $Id: aboutdialog.h,v 1.4 2003/10/05 00:09:04 pyromage Exp $
 *
 */

#ifndef __ABOUTDIALOG_H
#define __ABOUTDIALOG_H

#include <qcheckbox.h>
#include <qdialog.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qpushbutton.h>

namespace emotion
{
	/** An about dialog, displaying about information. */
	class AboutDialog
		: public QDialog
	{
		public:
			AboutDialog(QWidget *parent=0, const char *name=0, bool modal=FALSE, WFlags f=0);
			virtual ~AboutDialog ();

		private:
			QVBoxLayout _layout;

			/** The eMotion logo */
			QLabel _logo;
			/** Some informational text */
			QLabel _about;
			QLabel _license;

			/** Ok button */
			QPushButton _ok;
	};
}

#endif
