/*
 * The author disclaims copyright to the included source code. It is placed in
 * the public domain. In place of a lengthy legal notice, here is a blessing:
 *
 * 	May you do good and not evil.
 * 	May you find forgiveness for yourself and forgive others.
 * 	May you share freely, never taking more than you give.
 *
 * $Id: console.h,v 1.3 2003/10/05 00:09:04 pyromage Exp $
 *
 */

#ifndef __CONSOLE_H
#define __CONSOLE_H

#include <qtextedit.h>

/** A text box of fixed length that you can append stuff to FIFO-style */
namespace emotion
{
	class Console
		: public QTextEdit
	{
		public:
			Console(QWidget *parent = 0, const char *name = 0);
			virtual ~Console();

			virtual void append (const QString &text);
	};
}

#endif
