/*
 * The author disclaims copyright to the included source code. It is placed in
 * the public domain. In place of a lengthy legal notice, here is a blessing:
 *
 * 	May you do good and not evil.
 * 	May you find forgiveness for yourself and forgive others.
 * 	May you share freely, never taking more than you give.
 *
 * $Id: dvddialog.h,v 1.2 2003/10/05 00:09:04 pyromage Exp $
 *
 */

#ifndef __DVDDIALOG_H
#define __DVDDIALOG_H

#include <qdialog.h>
#include <qhbox.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qspinbox.h>
#include <qpushbutton.h>

namespace emotion
{
	/** DVD title selection dialog */
	class DVDDialog
		: public QDialog
	{
			Q_OBJECT
		public:
			DVDDialog(QWidget *parent=0, const char *name=0, bool modal=FALSE, WFlags f=0);
			virtual ~DVDDialog ();

			virtual int getTitle() const;

		private:
			QGridLayout _grid;
			QHBox _buttonbar;

			QLabel _titlelabel;
			QSpinBox _title;

			QPushButton _cancel;
			QPushButton _ok;
	};
}

#endif
