/*
 * The author disclaims copyright to the included source code. It is placed in
 * the public domain. In place of a lengthy legal notice, here is a blessing:
 *
 * 	May you do good and not evil.
 * 	May you find forgiveness for yourself and forgive others.
 * 	May you share freely, never taking more than you give.
 *
 * $Id: exception.cpp,v 1.5 2003/10/05 00:09:04 pyromage Exp $
 *
 */

#include "exception.h"

using namespace emotion;

Exception::Exception ()
{
}

Exception::Exception (const QString &message)
	: _message(message)
{
}

Exception::~Exception () throw()
{
}

QString Exception::getMessage () const 
{
	return _message;
}
