/*
 * The author disclaims copyright to the included source code. It is placed in
 * the public domain. In place of a lengthy legal notice, here is a blessing:
 *
 * 	May you do good and not evil.
 * 	May you find forgiveness for yourself and forgive others.
 * 	May you share freely, never taking more than you give.
 *
 * $Id: fileconfiguration.h,v 1.3 2003/10/05 00:09:04 pyromage Exp $
 *
 */

#ifndef __FILECONFIGURATION_H
#define __FILECONFIGURATION_H

#include <qstring.h>

#include "configuration.h"

using namespace std;

namespace emotion
{
	/** Represents configuration options backed by a file */
	class FileConfiguration
		: public Configuration
	{
		public:
			FileConfiguration (const QString &filename);
			virtual ~FileConfiguration ();

			virtual QString getFilename () const;
	
			virtual void write();

		private:
			QString _filename;
	};
}

#endif
